%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname facon
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Tiny mocking library
Name: rubygem-%{gemname}
Version: 0.5.0
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/chuyeow/facon/
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: rubygems
Requires: ruby(abi) = 1.8
Requires: rubygem(bacon)
BuildRequires: rubygems
# These two BR are for %%check
BuildRequires: rubygem(rake)
BuildRequires: rubygem(bundler)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
A mocking library in the spirit of the Bacon spec library. Small, compact, and
works with Bacon.

%package doc
Summary:           Documentation for %{name}
Group:             Documentation
Requires:          %{name} = %{version}-%{release}

%description doc
Documentation for %{name}.


%prep
mkdir -p ./%{gemdir}
gem install \
        --local \
        --install-dir .%{gemdir} \
        --force \
        --rdoc \
        -V \
%{SOURCE0}


%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
cp -a ./%{gemdir}/* \
        %{buildroot}%{gemdir}/
rm -f %{buildroot}%{geminstdir}/.gitignore
rm -f %{buildroot}%{geminstdir}/Gemfile.lock
rm -f %{buildroot}%{geminstdir}/Gemfile
pushd %{buildroot}%{geminstdir}
sed -i -e 's|require "bundler"||' spec/spec_helper.rb
sed -i -e 's|Bundler.setup||' spec/spec_helper.rb



%clean
rm -rf %{buildroot}

%check
cd %{buildroot}%{geminstdir}
rake spec

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%doc %{geminstdir}/Changelog.txt
%doc %{geminstdir}/README.txt
%{geminstdir}/lib
%{geminstdir}/%{gemname}.gemspec
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-, root, root, -)
%{geminstdir}/Rakefile
%{geminstdir}/spec
%{gemdir}/doc/%{gemname}-%{version}

%changelog
* Sat Jan 07 2012 <stahnma@fedoraproject.org> - 0.5.0-1
- Fix bug #715948

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 07 2010 Michael Stahnke <stahnma@fedoraproject.org> - 0.4.1-2
- Fixes from Review
- Enabled %%check

* Fri Sep 03 2010 Michael Stahnke <stahnma@fedoraproject.org> - 0.4.1-1
- Initial package
